#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    int a = 1, b = 2*n;
    for (int i = 0; i<n/2; i++) {
        cout << a++ << " " << b-- << " ";
    }
    if (n%2) cout << a++;
    cout << "\n";

    for (int i = 0; i<n/2; i++) {
        cout << a++ << " " << b-- << " ";
    }
    if (n%2) cout << a--;
    return 0;
}